<?php
/*
Plugin Name: rbl_meta
Plugin URI: http://berthou.com/
Description: Ajout de meta pour gestion multilingue
Version: 1.0.0
Author: R. Berthou
Author URI: http://berthou.com/
*/
function rbl_meta_print($pRootDir, $pTitle) {
	global $post;
	$rblLangmeta = get_post_meta( $post->ID,'rblEnglish',true);

	if ($rblLangmeta == "true") { $rblLangmeta = $post->ID ; }
	
    if ($rblLangmeta != "false" && strlen($rblLangmeta) > 1 ) { 
	?>
	<a href="<?php echo $pRootDir . '/?p=' . $rblLangmeta ; ?>">
		<img src="<?php bloginfo('template_url'); ?>/images/flag.png"  alt="<?php echo $pTitle ?>"/>
	<br/><?php echo $pTitle ?></a>
	<?php
	} 
}

function rbl_meta() {
	global $post;
	$rblLangmeta = get_post_meta($post->ID,'rblEnglish',true);
	?>
	<input type="text" size="5" name="rblEnglish" value="<?php echo $rblLangmeta ; ?>" />
	<?php 
		_e('ID Version Anglaise (ou true/false)','RBL') ;
}

function rbl_meta_box() {
	add_meta_box('RBL','R.B.L','rbl_meta','post');
	add_meta_box('RBL','R.B.L','rbl_meta','page');
}
add_action('admin_menu', 'rbl_meta_box');

function rbl_meta_insert_post($pID) {
	delete_post_meta($pID, 'rblEnglish');
	update_post_meta($pID, 'rblEnglish', ($_POST['rblEnglish'] ? $_POST['rblEnglish'] : 'false'));
}
add_action('wp_insert_post', 'rbl_meta_insert_post');
?>